package com.diagbot.client;

import com.diagbot.client.hystrix.KnowledgemanServiceHystrix;
import com.diagbot.dto.ConceptBaseDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.ConceptExistVO;
import com.diagbot.vo.IndexVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

/**
 * @Description:调用中间层服务
 * @Author: Mark Huang
 * @time: 2019/03/25 19:15
 */
@FeignClient(value = "knowledgeman-service", fallback = KnowledgemanServiceHystrix.class)
public interface KnowledgemanServiceClient {

    @PostMapping("/commonconcept/index")
    RespDTO<List<ConceptBaseDTO>> index(@RequestBody IndexVO indexVO);

    @PostMapping("/commonconcept/getConceptMapByNameAndType")
    RespDTO<Map<String, Long>> getConceptMap(@RequestBody ConceptExistVO conceptExistVO);
}