package com.diagbot.client.hystrix;

import com.diagbot.client.KnowledgemanServiceClient;
import com.diagbot.dto.ConceptBaseDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.ConceptExistVO;
import com.diagbot.vo.IndexVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:调用中间层服务
 * @Author: Mark Huang
 * @time: 2019/03/25 19:15
 */
@Component
@Slf4j
public class KnowledgemanServiceHystrix implements KnowledgemanServiceClient {

    @Override
    public RespDTO<List<ConceptBaseDTO>> index(IndexVO indexVO) {
        log.error("【hystrix】调用{}异常", "index");
        return null;
    }

    @Override
    public RespDTO<Map<String, Long>> getConceptMap(ConceptExistVO conceptExistVO) {
        log.error("【hystrix】调用{}异常", "getConceptMap");
        return null;
    }
}